quickly package --extras doesn't generate a correct Debian version for ARB submission

Bug #1002423 reported by Andrew Starr-Bochicchio on 2012-05-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Quickly
Low
Unassigned
quickly (Ubuntu)
Low
Unassigned

Bug Description

The ARB requires that:

"The version for your package in debian/changelog should use the format <upstream>-0extras<ubunturelease>.<packagerev> where packagerev starts at 1 with the first upload. Example: 1.2.3-0extras11.10.1 for the first upload of a package with the upstream version 1.2.3. "

https://wiki.ubuntu.com/AppReviewBoard/Review/Guidelines#Packaging

Tags: arb Edit Tag help
summary: - quickly package --extras doesn't generate a correct Debian version
+ quickly package --extras doesn't generate a correct Debian version for
+ ARB submission
David Planella (dpm) wrote :

I'm not too familiar with Debian package versioning. Was this fixed with the latest Quickly SRU upload?

Changed in quickly:
status: New → Incomplete
Changed in quickly (Ubuntu):
status: New → Incomplete
Michael Terry (mterry) wrote :

No, but it would be difficult for quickly to get this right all by itself. But you can just set the correct version on the command line when you run "quickly submitubuntu VERSION".

Changed in quickly (Ubuntu):
importance: Undecided → Low
status: Incomplete → Confirmed
Changed in quickly:
importance: Undecided → Low
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers